org.python.core.util

## Class RelativeFile

- java.lang.Object
- - java.io.File
  - - org.python.core.util.RelativeFile

- All Implemented Interfaces:
    java.io.Serializable, java.lang.Comparable<java.io.File>

      public class RelativeFile
      extends java.io.File

  A java.io.File whose initial path is resolved relative to the current SystemState's current working directory.
  Author:
    Philip Jenvey
  See Also:
    Serialized Form

- - ### Field Summary

    - ### Fields inherited from class java.io.File

      `pathSeparator, pathSeparatorChar, separator, separatorChar`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `RelativeFile(java.lang.String pathname)`
    `RelativeFile(java.lang.String parent, java.lang.String child)`

  - ### Method Summary

    - ### Methods inherited from class java.io.File

      `canExecute, canRead, canWrite, compareTo, createNewFile, createTempFile, createTempFile, delete, deleteOnExit, equals, exists, getAbsoluteFile, getAbsolutePath, getCanonicalFile, getCanonicalPath, getFreeSpace, getName, getParent, getParentFile, getPath, getTotalSpace, getUsableSpace, hashCode, isAbsolute, isDirectory, isFile, isHidden, lastModified, length, list, list, listFiles, listFiles, listFiles, listRoots, mkdir, mkdirs, renameTo, setExecutable, setExecutable, setLastModified, setReadable, setReadable, setReadOnly, setWritable, setWritable, toPath, toString, toURI, toURL`

    - ### Methods inherited from class java.lang.Object

      `getClass, notify, notifyAll, wait, wait, wait`

- - ### Constructor Detail

    - #### RelativeFile

          public RelativeFile(java.lang.String pathname)

    - #### RelativeFile

          public RelativeFile(java.lang.String parent,
                              java.lang.String child)

Jython homepage